#
# spec file for package libcsplit
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libcsplit
%define lname	libcsplit1
Version:        20240414
Release:        1.1
Summary:        Library for C split string functions
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libcsplit
Source:         https://github.com/libyal/libcsplit/releases/download/%version/libcsplit-beta-%version.tar.gz
Source2:        https://github.com/libyal/libcsplit/releases/download/%version/libcsplit-beta-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
A library for C split string functions.

This package is part of the libyal library collection and is used by other libraries in the collection

%package -n %lname
Summary:        Library for C split string functions
Group:          System/Libraries

%description -n %lname
Library for C split string functions.

Part of the libyal family of libraries.

%package devel
Summary:        Development files for libcsplit, a C split string library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for C split string functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcsplit.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static --enable-wide-character-type LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING*
%_libdir/libcsplit.so.1*

%files devel
%license COPYING*
%_includedir/libcsplit*
%_libdir/libcsplit.so
%_libdir/pkgconfig/libcsplit.pc
%_mandir/man3/libcsplit.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Wed Jan 10 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240110
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Sun Jan  9 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220109
  * No changes, version bump only.
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210411 (9ece23ab)
  * No changelog was provided
- Add system-libs.patch
* Tue Dec 29 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200703
  * no documented changes
- split off %%license line from %%doc
- include COPYING* on %%license line
- remove BuildRequires:  pkg-config
* Wed Mar 27 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20190102
  * worked on tests
  * code clean-up
  * fixed a typo
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170311
  * worked on tests
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~2017019
  * worked on tests
  * updated dependencies
  * corrections in include header
  * update man page: libcsplit.3
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * updated dependencies
  * 2014 update
- remove libcsplit-pkgconfig.diff - it was an extraneous file
* Wed Oct  2 2013 Greg.Freemyer@gmail.com
- update to v0~20130904
  * code cleanup
* Sat Jul 27 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * Fix in .pc.in file
  * small changes
  * removed unused LIBCSPLIT_SEPARATOR
  * textual changes
  * updated dependencies
  * fix for Libs in .pc file
  * 2013 update
- remove pkgconfig patch, now upstream
- changed to gz compression to eliminate conversion after download
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- run spec-cleaner
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121224) for build.opensuse.org
